SDL_memmove(3)

NAME
SDL_memmove - Copy memory ranges that might overlap.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

void * SDL_memmove(void *dst, const void *src, size_t len);

DESCRIPTION
It is okay for the memory regions to overlap. If you are confident that the regions never overlap, using SDL_memcpy() may improve performance.

FUNCTION PARAMETERS

dst The destination memory region. Must not be NULL.

src The source memory region. Must not be NULL.

len The length in bytes of both dst and src.

RETURN VALUE
Returns dst.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_memcpy(3)